Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class ClosureMetaMethod.MethodClosureMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ClosureMetaMethod
                  org.codehaus.groovy.runtime.metaclass.ClosureMetaMethod.MethodClosureMetaMethod

    class ClosureMetaMethod.MethodClosureMetaMethod
    extends ClosureMetaMethod

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ClosureMetaMethod.MethodClosureMetaMethod(String name, Class declaringClass, Closure closure, CachedMethod method)`

Method Summary
`Object` | `invoke(Object object, Object[] arguments)`

Methods inherited from class ClosureMetaMethod
copy, createMethodList, getClosure, getDeclaringClass, getDoCall, getModifiers, getName, getReturnType, invoke

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClosureMetaMethod.MethodClosureMetaMethod

    public ClosureMetaMethod.MethodClosureMetaMethod(String name, Class declaringClass, Closure closure, CachedMethod method)

Method Detail

### invoke

    public Object invoke(Object object, Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.